#! /bin/sh

echo
echo "ExEf - the ultimate effect engine"
echo "Copyright (C) 2001-2003 Tom Olexa <olexat@post.cz>"
echo
echo "ExEf installation"
echo

if [ `id -u` != 0 ]
    then echo "You must be superuser!"
    exit 1
fi    

error=0
echo -n "Choose source (default) or binary install (s/b): "
read inst
if [ "$inst" != "b" ]
    then 
	echo -n "GCC optimization (0, 1, 2(default)): "
        read optim
	case $optim in
	    [0-2])
	    ;;
	    *)
		optim=2	
	    ;;
	esac
	echo Compiling:
	echo gcc ExEfDSP.c -O$optim -lm -Wall
	if gcc ExEfDSP.c -O$optim -lm -Wall
	    then
	        mv -v -f a.out /usr/bin/ExEfDSP || error=1
	    else
		error=2
	    	echo Warning: compilation failed, using binary:
		cp -v -p -f ExEfDSP /usr/bin || error=1
	fi
    else
    echo Copying binary:
    cp -v -p -f ExEfDSP /usr/bin || error=1
fi

echo Copying GUI:
cp -v -p -f ExEf /usr/bin || error=1
echo Copying files:
mkdir -v -p /usr/share/ExEf || error=1
cp -v -p -f ExEflogo.gif /usr/share/ExEf || error=1
cp -v -p -f .ExEfrc /usr/share/ExEf || error=1
cp -v -R -p -f configs /usr/share/ExEf || error=1
echo Final setup:
mkdir -v -p /var/tmp/.ExEf || error=1
chmod -v 0777 /var/tmp/.ExEf || error=1

echo
case $error in
	    0)
		echo Installation successful!
	    ;;
	    1)
		echo Installation: major errors!	
	    ;;
	    2)
		echo Installation: minor errors, still successful!
	esac
echo
